
%%UNIT NAMES
%% CHARACTERS

\newcommand{\king}{King}

\newcommand{\thane}{Thane}

\newcommand{\dragonseeker}{Dragon Seeker}

\newcommand{\runicsmith}{Runic Smith}

%\newcommand{\engineer}{Engineer} %is already defined as base rule

\newcommand{\anvilofpower}{Anvil of Power}
\newcommand{\anvilguards}{Anvil Guards}

%% MOUNTS

%Shield bearers
\newcommand{\shieldbearers}{Shield Bearers}

%War throne
\newcommand{\warthrone}{War Throne}

%% CORE

\newcommand{\clanwarriors}{Clan Warriors}
\newcommand{\clanwarrior}{Clan Warrior}

\newcommand{\greybeards}{Greybeards}
\newcommand{\greybeard}{Greybeard}

\newcommand{\clanmarksmen}{Clan Marksmen}
\newcommand{\clanmarksman}{Clan Marksman}

%% SPECIAL

\newcommand{\deepwatch}{Deep Watch}
\newcommand{\deepwatchSINGULAR}{Deep Watch}

\newcommand{\kingsguard}{King's Guard}
\newcommand{\kingsguardSINGULAR}{King's Guard}

\newcommand{\miners}{Miners}
\newcommand{\miner}{Miner}

\newcommand{\rangers}{Rangers}
\newcommand{\ranger}{Ranger}

\newcommand{\seekers}{Seekers}
\newcommand{\seeker}{Seeker}

\newcommand{\vengeanceseeker}{Vengeance Seeker}

\newcommand{\holdguardians}{Hold Guardians}
\newcommand{\holdguardian}{Hold Guardian}

\newcommand{\grudgebuster}{Grudge Buster}
\newcommand{\crew}{Crew}
\newcommand{\chassis}{Chassis}

%CLANS' THUNDER

\newcommand{\forgewardens}{Forge Wardens}
\newcommand{\forgewarden}{Forge Warden}

\newcommand{\steamcopters}{Steam Copters}
\newcommand{\steamcopter}{Steam Copter}

%ENGINES OF WAR

\newcommand{\fieldartillery}{Field Artillery}

%% UNIT RULES ENTRIES
% CHARACTERS

% DRAGON SEEKER

\newcommand{\monsterseeker}{Monster Seeker}
\newcommand{\monsterseekerdef}{%
	The model gains \textbf{Multiple Wounds (2, against Large, Gigantic)}.%
}

\newcommand{\grimresolve}{Grim Resolve}
\newcommand{\grimresolvedef}{%
	The model gains +1 Attack Value for each enemy model in base contact with it (including the model it is fighting a Duel with if applicable).%
}

% RUNIC SMITH

\newcommand{\runecraftmastery}{Rune Craft Mastery}
\newcommand{\runecraftmasterydef}{%
	Close Combat Attacks from models in the same unit as one or more models with \runecraftmastery{} gain +1 Armour Penetration.%
}
\newcommand{\uptothreedifferentbattlerunes}{Up to 3 different Battle Runes}
\newcommand{\Rune}{Rune}

% ENGINEER

\newcommand{\wyrmslayerrocket}{Wyrm-Slayer Rocket}
\newcommand{\entrench}{Entrench}
\newcommand{\entrenchdef}{%
	Right before the battle (during step 7 of the Deployment Phase Sequence), the model may Entrench a single friendly War Machine. The War Machine counts as being in Hard Cover. The War Machine loses this instance of Hard Cover permanently if it performs an Advance or March Move or a Random Movement.%
}

% ANVIL OF POWER

\newcommand{\runicanvil}{Runic Anvil}
\newcommand{\runicanvildef}{%
	Each Anvil of Power may select up to three different Battle Runes.%
}


% MOUNTS

% WAR THRONE

\newcommand{\majestyofhighkings}{Majesty of High Kings}
\newcommand{\majestyofhighkingsdef}{%
	The range of \commandingpresence{} of a General mounted on a \warthrone{} is \textbf{set} to \distance{18}.%
}

% CORE

%CLAN WARRIORS

\newcommand{\sharedvanguardlimitation}{Only a single unit of Clan Warriors or Greybeards may take Vanguard.}
\newcommand{\runicbannerenchantment}{Runic Banner Enchantment}

% GREYBEARDS

\newcommand{\seenitall}{Seen It All}
\newcommand{\seenitalldef}{%
	Friendly units within \distance{6} of a non-Fleeing Greybeard unit may reroll failed Panic Tests.%
}

%CLAN MARKSMEN

\newcommand{\clanmarksmenrunicbannercondition}{Units without \guildcraftedhandgun{} only}

% SPECIAL

%DEEP WATCH

\newcommand{\wallofiron}{Wall of Iron}
\newcommand{\wallofirondef}{%
	The model gains \textbf{Aegis (5+, against Close Combat Attacks)}. This Special Save can only be used against attacks from enemies Engaged in the model's unit's Front Facing.%
}

%RANGERS

\newcommand{\cragwarden}{Crag Warden}
\newcommand{\cragwardendef}{%
	The model gains \textbf{\hardtarget{} (1)}, \textbf{\lighttroops{}}, and \textbf{\skirmisher{}} and loses \scoring{}.%
}

%SEEKERS

\newcommand{\brothersofvengeance}{Brothers of Vengeance}
\newcommand{\brothersofvengeancedef}{%
	The model gains \textbf{\hardtarget{} (1)}, \textbf{\lighttroops{}}, and \textbf{\skirmisher{}}.%
}

%VENGEANCE SEEKER

\newcommand{\whirlingchainsofdoom}{Whirling Chains of Doom}
\newcommand{\whirlingchainsofdoomdef}{%
	Attacks made with this weapon gain +1 Strength, +1 Armour Penetration, and \textbf{always} strike at Initiative Step 10 (regardless of the wielder's Agility). A model with this weapon cannot be joined by Characters.%
}

%HOLD GUARDIANS

\newcommand{\runicengravings}{Runic Engravings}
\newcommand{\runicengravingsdef}{%
	At step 8 of the Pre-Game Sequence (after Spell Selection), each Hold Guardian unit must choose one of the following effects, which is applied for the duration of the game:%
	\begin{itemize}%
		\item +1 Strength and +1 Armour Penetration%
		\item Vanguard%
		\item +2 Agility%
	\end{itemize}%
}

%%CLANS' THUNDERS

%FORGE WARDENS

\newcommand{\againstflamingattacks}{against Flaming Attacks}
\newcommand{\forgegun}{Forge Gun}
\newcommand{\alwayshitsontwo}{\textbf{always} hits on 2+}

%STEAM COPTERS

\newcommand{\shrapnelgrenades}{Shrapnel Grenades}
\newcommand{\shrapnelgrenadesdef}{%
	Sweeping Attack. One use only. The enemy unit suffers D3 hits with Strength 3 and Armour Penetration 0 for each Steam Copter in the unit.%
}

\newcommand{\shrapnelbombs}{Shrapnel Bombs}
\newcommand{\shrapnelbombsdef}{%
	Sweeping Attack. The enemy unit suffers D6\timess{}2 hits with Strength 3 and Armour Penetration 1. If a natural \result{6} is rolled for the number of hits, after the attack has been resolved, the Sweeping Attack cannot be used until the end of the game.%
}

%% ENGINES OF WAR

% FIELD ARTILLERY

\newcommand{\engineeringrune}{Engineering Rune}
\newcommand{\engineeringrunedef}{%
	Add +4 to the model's rolls on the Misfire Table.%
}

\newcommand{\flamingshot}{Flaming Shot}
\newcommand{\flamingshotdef}{%
	The model's Shooting Attacks become \textbf{\flamingattacks{}} and \textbf{\magicalattacks{}}.%
}

\newcommand{\runecraftednote}{%
	Where X depends on the chosen Artillery Weapon.%
}
\newcommand{\fieldartillerytablelabelA}{Artillery Weapon}
\newcommand{\fieldartillerytablelabelB}{Optional Model Rule}
\newcommand{\runecrafted}{Rune Crafted}

\newcommand{\dwarfballista}{Dwarf Ballista}
\newcommand{\dwarfballistarunecrafteddef}{%
	The model's Shooting Attacks gain \textbf{\accurate{}} and become \textbf{\magicalattacks{}}. The model gains \textbf{\scout{}} with the following exception: it \textbf{must} be deployed fully inside the owner's Deployment Zone.%
}

\newcommand{\flamecannon}{Flame Cannon}
\newcommand{\flamecannonrunecrafteddef}{%
	The model's Height is changed to Large.%
}

\newcommand{\dwarfcatapult}{Dwarf Catapult}
\newcommand{\dwarfcatapultdef}{%
	The model's Height is changed to Large.%
}
\newcommand{\dwarfcatapultrunecrafteddef}{%
	The model's Shooting Attacks gain +1 Strength, +2 Armour Penetration, and become \textbf{\magicalattacks{}}.%
}

\newcommand{\dwarfcannon}{Dwarf Cannon}
\newcommand{\dwarfcannondef}{This Artillery Weapon can be fired in two ways}
\newcommand{\dwarfcannonrunecrafteddef}{%
	The model's Shooting Attacks gain +1 Strength, +1 Armour Penetration, and become \textbf{\magicalattacks{}}.%
}

\newcommand{\organgun}{Organ Gun}
\newcommand{\organgunrunecrafteddef}{%
	The model's Shooting Attacks gain a +1 to-wound modifier and become \textbf{\magicalattacks{}}.%
}
